org.apache.pdfbox.pdmodel.font

## Class FontProvider

- java.lang.Object
- - org.apache.pdfbox.pdmodel.font.FontProvider

    public abstract class FontProvider
    extends Object

External font service provider interface.

Author:
  John Hewson

### Constructor Summary

Constructors
Constructor and Description
`FontProvider()`

### Method Summary

All Methods Instance Methods Abstract Methods
`abstract List<? extends FontInfo>` `getFontInfo()` Returns a list of information about fonts on the system.
`abstract String` `toDebugString()` Returns a string containing debugging information.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FontProvider

    public FontProvider()

### Method Detail

#### toDebugString

    public abstract String toDebugString()

Returns a string containing debugging information. This will be written to the log if no suitable fonts are found and no fallback fonts are available. May be null.

Returns:
  string with debug information or null

#### getFontInfo

    public abstract List<? extends FontInfo> getFontInfo()

Returns a list of information about fonts on the system.

Returns:
  a list of FntInfo instances for all fonts on the system